com.h3c.sdn.metric

## Class RollingCounterDescriptor

- java.lang.Object
- - com.h3c.sdn.metric.MetricDescriptor
  - - com.h3c.sdn.metric.RollingCounterDescriptor

- All Implemented Interfaces:
    Comparable<MetricDescriptor>

      public class RollingCounterDescriptor
      extends MetricDescriptor

  Rolling counter descriptor object, which specifies numerous properties that shape the processing and handling of a `TimeStampedRollingCounter` object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RollingCounterDescriptor.RollingCounterDescriptorBuilder` Counter descriptor builder object, which requires that only arguments that are mandatory for the construction of a `RollingCounterDescriptor` be specified during its own construction.

    - ### Nested classes/interfaces inherited from class com.h3c.sdn.metric.MetricDescriptor

      `MetricDescriptor.MetricDescriptorBuilder<T extends MetricDescriptor>, MetricDescriptor.SummaryIntervalMinutes, MetricDescriptor.Type`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.sdn.metric.MetricDescriptor

      `DEFAULT_TAG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getPrimingValue()` Gets the priming value for the `TimeStampedRollingCounter`.
    `void` | `setPrimingValue(Long toSet)` Sets the priming value for the `TimeStampedRollingCounter`.
    `String` | `toDebugString()` Gets a detailed representation of this object to facilitate debugging.

    - ### Methods inherited from class com.h3c.sdn.metric.MetricDescriptor

      `compareTo, equals, getAppId, getDescription, getName, getPersist, getPrimaryTag, getPublishToJmx, getSecondaryTag, getSummaryMinutes, getType, hashCode, setAppId, setSummaryMinutes, toString, uniqueName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPrimingValue

          public Long getPrimingValue()

      Gets the priming value for the `TimeStampedRollingCounter`.
      Returns:
        priming value

    - #### setPrimingValue

          public void setPrimingValue(Long toSet)

      Sets the priming value for the `TimeStampedRollingCounter`.
      Parameters:
        `toSet` - priming value

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `MetricDescriptor`
      Gets a detailed representation of this object to facilitate debugging.
      Overrides:
        `toDebugString` in class `MetricDescriptor`
      Returns:
        debug representation of object

Copyright © 2014. All Rights Reserved.